### Method

# Gegl Path foreach

#### Declaration [src]

    void
    gegl_path_foreach (
      GeglPath* path,
      GeglNodeFunction each_item,
      gpointer user_data
    )

#### Description [src]

Execute a provided function for every node in the path (useful for drawing and otherwise traversing a path.)

#### Parameters

`each_item`

  Type: `GeglNodeFunction`

  A function to call for each node in the path.

`user_data`

  Type: `gpointer`

  User data to pass to the function (in addition to the GeglPathItem).

  The argument can be `NULL`.
  The data is owned by the caller of the method.